-- LUNAE AMBULATIO

for _, tile in pairs(data.raw["tile"]) do
   tile.walking_speed_modifier = -1
end

data.raw["tile"]["stone-path"].walking_speed_modifier = -1.3
data.raw["tile"]["concrete"].walking_speed_modifier = -1.4

-- TRAMINA IACIENDA

data:extend({
  {
    type = "projectile",
    name = "choo-choo-projectile",
    flags = {"not-on-map"},
    acceleration = 0,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "big-explosion",
            check_buildability = true
          },
          {
            type = "damage",
            damage = { amount = 50, type = "physical"}
          },
          {
            type = "damage",
            damage = { amount = 50, type = "explosion"}
          }
        }
      }
    },
    light = {intensity = 0.5, size = 20},
    animation =
    {
      filename = "__AFM__/graphics/HAMAXA.png",
      frame_count = 1,
      width = 51,
      height = 219,
      priority = "high"
    },
    speed = 0.5
  },
})

function choo_choo_parametra()
return
{
      type = "projectile",
      ammo_category = "electric",
      cooldown = 200,
      projectile_center = {0, -0.2},
      projectile_creation_distance = 2.5,
      range = 25,
      damage_modifier = 4,
      ammo_type =
      {
        type = "projectile",
        category = "laser-turret",
        energy_consumption = "800kJ",
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "choo-choo-projectile",
                starting_speed = 0.5
              }
            }
          }
        }
      },
      sound = {
		{
		filename = "__AFM__/sound/whistle1.ogg",
		volume = 0.5
		},
		{
		filename = "__AFM__/sound/whistle2.ogg",
		volume = 0.5
		},
		{
		filename = "__AFM__/sound/whistle3.ogg",
		volume = 0.5
		},
		{
		filename = "__AFM__/sound/whistle4.ogg",
		volume = 0.5
		},
		{
		filename = "__AFM__/sound/whistle5.ogg",
		volume = 0.5
		},
		{
		filename = "__AFM__/sound/whistle6.ogg",
		volume = 0.5
		},
	}
}
end

data.raw["electric-turret"]["laser-turret"].attack_parameters = choo_choo_parametra()

if data.raw["electric-turret"]["bob-laser-turret-2"] then
	data.raw["electric-turret"]["bob-laser-turret-2"].attack_parameters = choo_choo_parametra()
	data.raw["electric-turret"]["bob-laser-turret-3"].attack_parameters = choo_choo_parametra()
	data.raw["electric-turret"]["bob-laser-turret-4"].attack_parameters = choo_choo_parametra()
	data.raw["electric-turret"]["bob-laser-turret-5"].attack_parameters = choo_choo_parametra()
end

-- FABRICAE MORDENTIUM

function animatioMordentis(scale, tint1, tint2)
  return
  {
    layers=
    {
      {
		filename = "__AFM__/graphics/MORDENS.png",
        width = 169,
        height = 114,
        frame_count = 16,
		line_length = 8,
        shift = {scale * 0.714844, (scale * -0.246094) + 0.25},
        scale = scale,
      },
      {
        filename = "__AFM__/graphics/MORDENS-PERSONA-I.png",
        width = 105,
        height = 81,
        frame_count = 16,
        shift = {scale * 0.117188, (scale * -0.867188) + 0.25},
        scale = scale,
        tint = tint1
      },
      {
        filename = "__AFM__/graphics/MORDENS-PERSONA-II.png",
        line_length = 16,
        width = 95,
        height = 81,
        frame_count = 16,
        shift = {scale * 0.117188, (scale * -0.855469) + 0.25},
        scale = scale,
        tint = tint2
      }
    }
  }
end

data.raw["assembling-machine"]["assembling-machine-1"].animation = animatioMordentis(0.8, {r=0.5, g=0.5, b=0.5, a=0.6}, {r=0.4, g=0.2, b=0.2, a=0.85})
data.raw["assembling-machine"]["assembling-machine-1"].open_sound = { filename = "__base__/sound/creatures/biter-roar-1.ogg", volume = 0.5}
data.raw["assembling-machine"]["assembling-machine-1"].close_sound = { filename = "__base__/sound/creatures/biter-roar-5.ogg", volume = 0.5}
data.raw["assembling-machine"]["assembling-machine-1"].mined_sound = { filename = "__base__/sound/creatures/biter-death-1.ogg"}
data.raw["assembling-machine"]["assembling-machine-1"].working_sound = {
    sound = {
		{
		  filename = "__base__/sound/creatures/biter-call-1.ogg",
		  volume = 0.5
		},
		{
		  filename = "__base__/sound/creatures/biter-call-2.ogg",
		  volume = 0.5
		},
		{
		  filename = "__base__/sound/creatures/biter-call-3.ogg",
		  volume = 0.5
		},
		{
		  filename = "__base__/sound/creatures/biter-call-4.ogg",
		  volume = 0.5
		},
		{
		  filename = "__base__/sound/creatures/biter-call-5.ogg",
		  volume = 0.5
		}
	},
	match_speed_to_activity = true,
    idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0 },
    apparent_volume = 1.25,
}

data.raw["assembling-machine"]["assembling-machine-2"].animation = animatioMordentis(0.9, {r=0.34, g=0.68, b=0.90, a=0.6}, {r=0.4, g=0.2, b=0.2, a=0.85})
data.raw["assembling-machine"]["assembling-machine-2"].open_sound = { filename = "__base__/sound/creatures/biter-roar-1.ogg", volume = 0.5}
data.raw["assembling-machine"]["assembling-machine-2"].close_sound = { filename = "__base__/sound/creatures/biter-roar-5.ogg", volume = 0.5}
data.raw["assembling-machine"]["assembling-machine-2"].mined_sound = { filename = "__base__/sound/creatures/biter-death-2.ogg"}
data.raw["assembling-machine"]["assembling-machine-2"].working_sound = data.raw["assembling-machine"]["assembling-machine-1"].working_sound

data.raw["assembling-machine"]["assembling-machine-3"].animation = animatioMordentis(1, {r=0.75, g=0.75, b=0.30, a=0.5}, {r=0.4, g=0.2, b=0.2, a=0.85})
data.raw["assembling-machine"]["assembling-machine-3"].open_sound = { filename = "__base__/sound/creatures/biter-roar-1.ogg", volume = 0.5}
data.raw["assembling-machine"]["assembling-machine-3"].close_sound = { filename = "__base__/sound/creatures/biter-roar-5.ogg", volume = 0.5}
data.raw["assembling-machine"]["assembling-machine-3"].mined_sound = { filename = "__base__/sound/creatures/biter-death-3.ogg"}
data.raw["assembling-machine"]["assembling-machine-3"].working_sound = data.raw["assembling-machine"]["assembling-machine-1"].working_sound

if data.raw["assembling-machine"]["assembling-machine-4"] then
	data.raw["assembling-machine"]["assembling-machine-4"].animation = animatioMordentis(1, {r=0.75, g=0.33, b=0.88, a=0.5}, {r=0.4, g=0.2, b=0.2, a=0.85})
	data.raw["assembling-machine"]["assembling-machine-4"].open_sound = { filename = "__base__/sound/creatures/biter-roar-1.ogg", volume = 0.5}
	data.raw["assembling-machine"]["assembling-machine-4"].close_sound = { filename = "__base__/sound/creatures/biter-roar-5.ogg", volume = 0.5}
	data.raw["assembling-machine"]["assembling-machine-4"].mined_sound = { filename = "__base__/sound/creatures/biter-death-4.ogg"}
	data.raw["assembling-machine"]["assembling-machine-4"].working_sound = data.raw["assembling-machine"]["assembling-machine-1"].working_sound
end

if data.raw["assembling-machine"]["assembling-machine-5"] then
	data.raw["assembling-machine"]["assembling-machine-5"].animation = animatioMordentis(1, {r = 0.7, g = 0.2, b = 0.1, a=0.5}, {r=0.4, g=0.2, b=0.2, a=0.85})
	data.raw["assembling-machine"]["assembling-machine-5"].open_sound = { filename = "__base__/sound/creatures/biter-roar-1.ogg", volume = 0.5}
	data.raw["assembling-machine"]["assembling-machine-5"].close_sound = { filename = "__base__/sound/creatures/biter-roar-5.ogg", volume = 0.5}
	data.raw["assembling-machine"]["assembling-machine-5"].mined_sound = { filename = "__base__/sound/creatures/biter-death-5.ogg"}
	data.raw["assembling-machine"]["assembling-machine-5"].working_sound = data.raw["assembling-machine"]["assembling-machine-1"].working_sound
end

if data.raw["assembling-machine"]["assembling-machine-6"] then
	data.raw["assembling-machine"]["assembling-machine-6"].animation = animatioMordentis(1, {r = 0.1, g = 0.7, b = 0.1, a=0.5}, {r=0.4, g=0.2, b=0.2, a=0.85})
	data.raw["assembling-machine"]["assembling-machine-6"].open_sound = { filename = "__base__/sound/creatures/biter-roar-1.ogg", volume = 0.5}
	data.raw["assembling-machine"]["assembling-machine-6"].close_sound = { filename = "__base__/sound/creatures/biter-roar-5.ogg", volume = 0.5}
	data.raw["assembling-machine"]["assembling-machine-6"].mined_sound = { filename = "__base__/sound/creatures/biter-death-5.ogg"}
	data.raw["assembling-machine"]["assembling-machine-6"].working_sound = data.raw["assembling-machine"]["assembling-machine-1"].working_sound
end

-- LABORATORIA IN NIDOS MORDENTIUM

data.raw["lab"]["lab"].on_animation =
  {
	filename = "__base__/graphics/entity/spawner/spawner-idle.png",
	line_length = 8,
	width = 243,
	height = 181,
	frame_count = 8,
	animation_speed = 0.18,
	direction_count = 1,
	run_mode = "forward-then-backward",
	shift = {0.140625, -0.234375},
	scale = 0.6,
	y = 1 * 181
  }
data.raw["lab"]["lab"].off_animation =
  {
	filename = "__base__/graphics/entity/spawner/spawner-idle.png",
	width = 243,
	height = 181,
	frame_count = 1,
	shift = {0.140625, -0.234375},
	scale = 0.6,
	y = 1 * 181
  }
data.raw["lab"]["lab"].working_sound =
    {
      sound =
      {
        filename = "__base__/sound/creatures/spawner.ogg",
        volume = 1
      },
      apparent_volume = 1
    }
data.raw["lab"]["lab"].mined_sound = { filename = "__base__/sound/creatures/spawner-death-1.ogg"}

-- PORTUS AUTOMATORUM NIMIS SONORI SUNT

for _,port in pairs(data.raw["roboport"]) do -- FAC UT SILEANT
   port.open_door_trigger_effect = {{type = "play-sound", sound = { filename = "__base__/sound/roboport-door.ogg", volume = 0.6}}}
   port.close_door_trigger_effect = {{type = "play-sound", sound = { filename = "__base__/sound/roboport-door.ogg", volume = 0.3}}}
end

-- AUTOMATA ANATES

function new_flying_robot_sounds()
  return
  {
    sound =
    {
      { filename = "__AFM__/sound/quak1.ogg", volume = 0.75 },
      { filename = "__AFM__/sound/quak2.ogg", volume = 0.75 },
      { filename = "__AFM__/sound/quak3.ogg", volume = 0.75 },
      { filename = "__AFM__/sound/quak4.ogg", volume = 0.75 },
      { filename = "__AFM__/sound/quak5.ogg", volume = 0.75 },
	  { filename = "__AFM__/sound/quak6.ogg", volume = 0.75 },
    },
    max_sounds_per_type = 3,
    audible_distance_modifier = 1,
    probability = 1 / (1 * 60)
  }
end

data.raw["construction-robot"]["construction-robot"].working_sound = new_flying_robot_sounds()
data.raw["logistic-robot"]["logistic-robot"].working_sound = new_flying_robot_sounds()

if data.raw["logistic-robot"]["bob-logistic-robot-2"] then
	data.raw["logistic-robot"]["bob-logistic-robot-2"].working_sound = new_flying_robot_sounds()
	data.raw["logistic-robot"]["bob-logistic-robot-3"].working_sound = new_flying_robot_sounds()
	data.raw["logistic-robot"]["bob-logistic-robot-4"].working_sound = new_flying_robot_sounds()
	data.raw["construction-robot"]["bob-construction-robot-2"].working_sound = new_flying_robot_sounds()
	data.raw["construction-robot"]["bob-construction-robot-3"].working_sound = new_flying_robot_sounds()
	data.raw["construction-robot"]["bob-construction-robot-4"].working_sound = new_flying_robot_sounds()
end

-- AUTOMATA LOGISTICA

function anatisPictura(pictura)
	return
    {
      filename = "__AFM__/graphics/" .. pictura .. ".png",
      priority = "high",
      width = 32,
      height = 32,
      frame_count = 1,
      direction_count = 1,
	  shift = {0, -0.25}
    }
end

data.raw["logistic-robot"]["logistic-robot"].idle = anatisPictura("ANAS")
data.raw["logistic-robot"]["logistic-robot"].idle_with_cargo = anatisPictura("ANAS")
data.raw["logistic-robot"]["logistic-robot"].in_motion = anatisPictura("ANAS")
data.raw["logistic-robot"]["logistic-robot"].in_motion_with_cargo = anatisPictura("ANAS")

data.raw["logistic-robot"]["logistic-robot"].shadow_idle = anatisPictura("ANATIS-UMBRA")
data.raw["logistic-robot"]["logistic-robot"].shadow_idle_with_cargo = anatisPictura("ANATIS-UMBRA")
data.raw["logistic-robot"]["logistic-robot"].shadow_in_motion = anatisPictura("ANATIS-UMBRA")
data.raw["logistic-robot"]["logistic-robot"].shadow_in_motion_with_cargo = anatisPictura("ANATIS-UMBRA")

if data.raw["logistic-robot"]["bob-logistic-robot-2"] then
	data.raw["logistic-robot"]["bob-logistic-robot-2"].idle = anatisPictura("ANAS")
	data.raw["logistic-robot"]["bob-logistic-robot-2"].idle_with_cargo = anatisPictura("ANAS")
	data.raw["logistic-robot"]["bob-logistic-robot-2"].in_motion = anatisPictura("ANAS")
	data.raw["logistic-robot"]["bob-logistic-robot-2"].in_motion_with_cargo = anatisPictura("ANAS")

	data.raw["logistic-robot"]["bob-logistic-robot-2"].shadow_idle = anatisPictura("ANATIS-UMBRA")
	data.raw["logistic-robot"]["bob-logistic-robot-2"].shadow_idle_with_cargo = anatisPictura("ANATIS-UMBRA")
	data.raw["logistic-robot"]["bob-logistic-robot-2"].shadow_in_motion = anatisPictura("ANATIS-UMBRA")
	data.raw["logistic-robot"]["bob-logistic-robot-2"].shadow_in_motion_with_cargo = anatisPictura("ANATIS-UMBRA")

	data.raw["logistic-robot"]["bob-logistic-robot-3"].idle = anatisPictura("ANAS")
	data.raw["logistic-robot"]["bob-logistic-robot-3"].idle_with_cargo = anatisPictura("ANAS")
	data.raw["logistic-robot"]["bob-logistic-robot-3"].in_motion = anatisPictura("ANAS")
	data.raw["logistic-robot"]["bob-logistic-robot-3"].in_motion_with_cargo = anatisPictura("ANAS")

	data.raw["logistic-robot"]["bob-logistic-robot-3"].shadow_idle = anatisPictura("ANATIS-UMBRA")
	data.raw["logistic-robot"]["bob-logistic-robot-3"].shadow_idle_with_cargo = anatisPictura("ANATIS-UMBRA")
	data.raw["logistic-robot"]["bob-logistic-robot-3"].shadow_in_motion = anatisPictura("ANATIS-UMBRA")
	data.raw["logistic-robot"]["bob-logistic-robot-3"].shadow_in_motion_with_cargo = anatisPictura("ANATIS-UMBRA")

	data.raw["logistic-robot"]["bob-logistic-robot-4"].idle = anatisPictura("ANAS")
	data.raw["logistic-robot"]["bob-logistic-robot-4"].idle_with_cargo = anatisPictura("ANAS")
	data.raw["logistic-robot"]["bob-logistic-robot-4"].in_motion = anatisPictura("ANAS")
	data.raw["logistic-robot"]["bob-logistic-robot-4"].in_motion_with_cargo = anatisPictura("ANAS")

	data.raw["logistic-robot"]["bob-logistic-robot-4"].shadow_idle = anatisPictura("ANATIS-UMBRA")
	data.raw["logistic-robot"]["bob-logistic-robot-4"].shadow_idle_with_cargo = anatisPictura("ANATIS-UMBRA")
	data.raw["logistic-robot"]["bob-logistic-robot-4"].shadow_in_motion = anatisPictura("ANATIS-UMBRA")
	data.raw["logistic-robot"]["bob-logistic-robot-4"].shadow_in_motion_with_cargo = anatisPictura("ANATIS-UMBRA")
end

-- AUTOMATA AEDIFICANDI

data.raw["construction-robot"]["construction-robot"].idle = anatisPictura("ANAS-II")
data.raw["construction-robot"]["construction-robot"].idle_with_cargo = anatisPictura("ANAS-II")
data.raw["construction-robot"]["construction-robot"].in_motion = anatisPictura("ANAS-II")
data.raw["construction-robot"]["construction-robot"].in_motion_with_cargo = anatisPictura("ANAS-II")

data.raw["construction-robot"]["construction-robot"].shadow_idle = anatisPictura("ANATIS-UMBRA-II")
data.raw["construction-robot"]["construction-robot"].shadow_idle_with_cargo = anatisPictura("ANATIS-UMBRA-II")
data.raw["construction-robot"]["construction-robot"].shadow_in_motion = anatisPictura("ANATIS-UMBRA-II")
data.raw["construction-robot"]["construction-robot"].shadow_in_motion_with_cargo = anatisPictura("ANATIS-UMBRA-II")

if data.raw["construction-robot"]["bob-construction-robot-2"] then
	data.raw["construction-robot"]["bob-construction-robot-2"].idle = anatisPictura("ANAS-II")
	data.raw["construction-robot"]["bob-construction-robot-2"].idle_with_cargo = anatisPictura("ANAS-II")
	data.raw["construction-robot"]["bob-construction-robot-2"].in_motion = anatisPictura("ANAS-II")
	data.raw["construction-robot"]["bob-construction-robot-2"].in_motion_with_cargo = anatisPictura("ANAS-II")

	data.raw["construction-robot"]["bob-construction-robot-2"].shadow_idle = anatisPictura("ANATIS-UMBRA-II")
	data.raw["construction-robot"]["bob-construction-robot-2"].shadow_idle_with_cargo = anatisPictura("ANATIS-UMBRA-II")
	data.raw["construction-robot"]["bob-construction-robot-2"].shadow_in_motion = anatisPictura("ANATIS-UMBRA-II")
	data.raw["construction-robot"]["bob-construction-robot-2"].shadow_in_motion_with_cargo = anatisPictura("ANATIS-UMBRA-II")

	data.raw["construction-robot"]["bob-construction-robot-3"].idle = anatisPictura("ANAS-II")
	data.raw["construction-robot"]["bob-construction-robot-3"].idle_with_cargo = anatisPictura("ANAS-II")
	data.raw["construction-robot"]["bob-construction-robot-3"].in_motion = anatisPictura("ANAS-II")
	data.raw["construction-robot"]["bob-construction-robot-3"].in_motion_with_cargo = anatisPictura("ANAS-II")

	data.raw["construction-robot"]["bob-construction-robot-3"].shadow_idle = anatisPictura("ANATIS-UMBRA-II")
	data.raw["construction-robot"]["bob-construction-robot-3"].shadow_idle_with_cargo = anatisPictura("ANATIS-UMBRA-II")
	data.raw["construction-robot"]["bob-construction-robot-3"].shadow_in_motion = anatisPictura("ANATIS-UMBRA-II")
	data.raw["construction-robot"]["bob-construction-robot-3"].shadow_in_motion_with_cargo = anatisPictura("ANATIS-UMBRA-II")

	data.raw["construction-robot"]["bob-construction-robot-4"].idle = anatisPictura("ANAS-II")
	data.raw["construction-robot"]["bob-construction-robot-4"].idle_with_cargo = anatisPictura("ANAS-II")
	data.raw["construction-robot"]["bob-construction-robot-4"].in_motion = anatisPictura("ANAS-II")
	data.raw["construction-robot"]["bob-construction-robot-4"].in_motion_with_cargo = anatisPictura("ANAS-II")

	data.raw["construction-robot"]["bob-construction-robot-4"].shadow_idle = anatisPictura("ANATIS-UMBRA-II")
	data.raw["construction-robot"]["bob-construction-robot-4"].shadow_idle_with_cargo = anatisPictura("ANATIS-UMBRA-II")
	data.raw["construction-robot"]["bob-construction-robot-4"].shadow_in_motion = anatisPictura("ANATIS-UMBRA-II")
	data.raw["construction-robot"]["bob-construction-robot-4"].shadow_in_motion_with_cargo = anatisPictura("ANATIS-UMBRA-II")
end

-- MUSICA THOMAE HAMAXAE CISTERNINAE

data.raw["locomotive"]["diesel-locomotive"].working_sound = {  -- RECTIUS HAMAXA DEBET ESSE VAPORIARIAM ET NON DISELIANAM
      sound =
      {
        filename = "__AFM__/sound/doot-doot.ogg",
        volume = 0.75
      },
      match_speed_to_activity = true,
    }
data.raw["locomotive"]["diesel-locomotive"].sound_minimum_speed = 10

if data.raw["locomotive"]["diesel-locomotive-2"] then
	data.raw["locomotive"]["diesel-locomotive-2"].working_sound = {
		  sound =
		  {
			filename = "__AFM__/sound/doot-doot.ogg",
			volume = 0.75
		  },
		  match_speed_to_activity = true,
		}
	data.raw["locomotive"]["diesel-locomotive-2"].sound_minimum_speed = 10
end

if data.raw["locomotive"]["diesel-locomotive-3"] then
	data.raw["locomotive"]["diesel-locomotive-3"].working_sound = {
		  sound =
		  {
			filename = "__AFM__/sound/doot-doot.ogg",
			volume = 0.75
		  },
		  match_speed_to_activity = true,
		}
	data.raw["locomotive"]["diesel-locomotive-3"].sound_minimum_speed = 10
end
